Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.console.plugins.helpers.servlet
Class TabTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.jboss.console.plugins.helpers.servlet.TabTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, Serializable, javax.servlet.jsp.tagext.Tag

public class TabTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TabTag()`

Method Summary
`int` | `doStartTag()`
`String` | `getHref()`
`String` | `getName()`
`boolean` | `isSelected()`
`void` | `setHref(String string)`
`void` | `setName(String string)`
`void` | `setSelected(boolean b)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabTag

    public TabTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Throws:
    `javax.servlet.jsp.JspTagException`

### getHref

    public String getHref()

  Returns:

### getName

    public String getName()

  Returns:

### isSelected

    public boolean isSelected()

  Returns:

### setHref

    public void setHref(String string)

  Parameters:
    `string` -

### setName

    public void setName(String string)

  Parameters:
    `string` -

### setSelected

    public void setSelected(boolean b)

  Parameters:
    `b` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.